| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Num.AffineTransformationDiagonal Class Reference

Affine transformation with diagonal tansformation matrix. More...

Inheritance diagram for IG.Num.AffineTransformationDiagonal:
[legend]
Collaboration diagram for IG.Num.AffineTransformationDiagonal:
[legend]

## Public Member Functions
| AffineTransformationDiagonal (int dimension)
| Constructs diagonal affine transformation with the specified dimension of the original (reference) and transformed (target) space. More...
| AffineTransformationDiagonal (IVector diagonalOfTransfMat, IVector translationVec)
| Constructs affine transformation with the specified transformation matrix and translation vector. More...
Public Member Functions inherited from IG.Num.AffineTransformationSquare
| AffineTransformationSquare (int dimension)
| Constructs affine transformation with the specified dimensions of the original (reference) and transformed (target) space. More...
| AffineTransformationSquare (Matrix transformationMatrix, Vector translationVector, bool inverseSpecified)
| Constructs affine transformation with the specified transformation matrix and translation vector. Either of the transformation matrix or translation vector can be null, but not both. More...
| AffineTransformationSquare (Matrix transformationMatrix, Vector translationVector)
| Constructs affine transformation with the specified transformation matrix and translation vector. Either of the transformation matrix or translation vector can be null, but not both. More...
virtual void | CopyTransformationMatrix (ref IMatrix store)
| Copies transformation matrix to the specified storage matrix. More...
virtual void | CopyInverseTransformationMatrix (ref IMatrix store)
| Copies inverse transformation matrix to the specified storage matrix. More...
void | TransformCoordinatesPlain (IVector original, IVector result)
| Transforms co-ordinates from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformCoordinates (IVector original, ref IVector result)
| Transforms co-ordinates from the reference to the transformed space. More...
void | TransformBackCoordinatesPlain (IVector transformed, IVector result)
| Backward transforms co-ordinates from the transformed to the reference space. More...
void | TransformBackCoordinates (IVector transformed, ref IVector result)
| Backward transforms co-ordinates from the transformed to the reference space. More...
void | TransformGradientPlain (IVector original, IVector result)
| Transforms gradient (or other covariant vector) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformGradient (IVector original, ref IVector result)
| Transforms gradient (or other covariant vector) from the reference to the transformed space. More...
void | TransformBackGradientPlain (IVector transformed, IVector result)
| Backward transforms gradient (or other covariant vector) from the transformed to the reference space. More...
void | TransformBackGradient (IVector transformed, ref IVector result)
| Backward transforms gradient (or other covariant vector) from the transformed to the reference space. More...
void | TransformHessianPlain (IMatrix original, IMatrix result)
| Transforms Hessian (or other covariant matrix) from the reference to the transformed space. WARNING: This is a plain version that does not check dimensions. More...
void | TransformHessian (IMatrix original, ref IMatrix result)
| Transforms Hessian (or other covariant matrix) from the reference to the transformed space. More...
void | TransformBackHessianPlain (IMatrix transformed, IMatrix result)
| Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space. More...
void | TransformBackHessian (IMatrix transformed, ref IMatrix result)
| Backward transforms Hessian (or other covariant matrix) from the transformed to the reference space. More...

## Additional Inherited Members
Protected Member Functions inherited from IG.Num.AffineTransformationSquare
| AffineTransformationSquare ()
void | InitAuxVec ()
| Initializes auxiliary vector. More...
void | InitIdentityMat ()
| Initializes the auxiliary identity matrix. More...
void | InitAuxMat ()
| Initializes the auxiliary matrix. More...
virtual void | CalculateTransformationMatrix ()
| Calculates the transformation matrix from the inverse transformation matrix. More...
virtual void | CalculateInverseTransformationMatrix ()
| Calculates the inverse transformation matrix from the direct transformation matrix. More...
Protected Attributes inherited from IG.Num.AffineTransformationSquare
Vector | _auxVec
Matrix | _identityMat
Matrix | _auxMat
Properties inherited from IG.Num.AffineTransformationSquare
object | Lock`[get]`
| Object used for locking of the current object (ILockable interface). More...
int | DimensionOriginal`[get, protected set]`
| Dimension of the original (reference) space. More...
int | DimensionTransformed`[get, protected set]`
| Dimension of the transformed space. More...
int | Dimension`[get, protected set]`
| Dimension of the original and transformed space (which are equal for this class). More...
bool | CalculatedTransformationMatrix`[get, protected set]`
| Flag indicating whethet the transformation matrix is calculated or not. More...
virtual IMatrix | TransformationMatrix`[get, set]`
| Gets or sets transformation matrix that transforms vector of co-ordinates from the original to the reference space. More...
bool | CalculatedInverseTransformationMatrix`[get, protected set]`
| Flag indicating whethet the transformation matrix is calculated or not. More...
virtual IMatrix | InverseTransformationMatrix`[get, set]`
| Gets or sets inverse of the transformation matrix that transforms vector of co-ordinates from the original to the reference space. More...
virtual IVector | TranslationVector`[get, set]`
| Gets or sets the translation vector of the affine transformation. More...
Properties inherited from IG.Num.IAffineTransformation
int | DimensionOriginal`[get]`
int | DimensionTransformed`[get]`
IMatrix | TransformationMatrix`[get, set]`
| Get or set the transformation matrix. More...
IMatrix | InverseTransformationMatrix`[get, set]`
| Gets or sets inverse transformation matrix. More...
IVector | TranslationVector`[get, set]`
| Gets or sets the translation vector. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Affine transformation with diagonal tansformation matrix.

$A Igor dec10; TODO: IMPLEMENT THIS CORRECTLY! Currently this is just general square affine transformation with adapted constructors!!! TODO: implement ICloneable!

## Constructor & Destructor Documentation

IG.Num.AffineTransformationDiagonal.AffineTransformationDiagonal | ( | int | dimension | ) |
| inline

Constructs diagonal affine transformation with the specified dimension of the original (reference) and transformed (target) space.

Parameters

  dimension | Dimension of the original and transformed space.

IG.Num.AffineTransformationDiagonal.AffineTransformationDiagonal | ( | IVector | diagonalOfTransfMat,
|  | IVector | translationVec
| ) |  |
| inline

Constructs affine transformation with the specified transformation matrix and translation vector.

Parameters

  diagonalOfTransfMat | Transformation matrix of the affine transformation.
  translationVec | Translation vector of the affine transformation.

The documentation for this class was generated from the following file:

- igbase/numeric/TransformationAffineDiagonal.cs